curl --request POST \
--url https://api.hubapi.com/integrators/timeline/v3/events/batch/create \
--header 'Authorization: Bearer <token>' \
--header 'Content-Type: application/json' \
--data '
{
"inputs": [
{
"eventTemplateId": "<string>",
"id": "<string>",
"tokens": {},
"customObjectTypeId": "<string>",
"domain": "<string>",
"email": "<string>",
"extraData": {},
"objectId": "<string>",
"timestamp": "2023-11-07T05:31:56Z",
"utk": "<string>"
}
]
}
'{
"completedAt": "2023-11-07T05:31:56Z",
"results": [
{
"eventTemplateId": "<string>",
"id": "<string>",
"objectType": "<string>",
"tokens": {},
"createdAt": "2023-11-07T05:31:56Z",
"customObjectTypeId": "<string>",
"domain": "<string>",
"email": "<string>",
"extraData": {},
"objectId": "<string>",
"timestamp": "2023-11-07T05:31:56Z",
"utk": "<string>"
}
],
"startedAt": "2023-11-07T05:31:56Z",
"status": "CANCELED",
"links": {},
"requestedAt": "2023-11-07T05:31:56Z"
}Crear por lotes múltiples instancias de eventos de cronología en función de una plantilla de eventos. Una vez creados, estos eventos son inmutables en la cronología del objeto y no pueden ser modificados. Si la plantilla de eventos fue configurada para actualizar las propiedades del objeto a través de objectPropertyName, esta llamada también intentará actualizar esas propiedades, o agregarlas si no existen.
curl --request POST \
--url https://api.hubapi.com/integrators/timeline/v3/events/batch/create \
--header 'Authorization: Bearer <token>' \
--header 'Content-Type: application/json' \
--data '
{
"inputs": [
{
"eventTemplateId": "<string>",
"id": "<string>",
"tokens": {},
"customObjectTypeId": "<string>",
"domain": "<string>",
"email": "<string>",
"extraData": {},
"objectId": "<string>",
"timestamp": "2023-11-07T05:31:56Z",
"utk": "<string>"
}
]
}
'{
"completedAt": "2023-11-07T05:31:56Z",
"results": [
{
"eventTemplateId": "<string>",
"id": "<string>",
"objectType": "<string>",
"tokens": {},
"createdAt": "2023-11-07T05:31:56Z",
"customObjectTypeId": "<string>",
"domain": "<string>",
"email": "<string>",
"extraData": {},
"objectId": "<string>",
"timestamp": "2023-11-07T05:31:56Z",
"utk": "<string>"
}
],
"startedAt": "2023-11-07T05:31:56Z",
"status": "CANCELED",
"links": {},
"requestedAt": "2023-11-07T05:31:56Z"
}Productos compatibles
Ámbitos Requeridos
The access token received from the authorization server in the OAuth 2.0 flow.
Una colección de eventos de cronología que queremos crear.
Show child attributes
successful operation
La hora cuando se completó la solicitud.
Eventos que se crearon correctamente.
Show child attributes
La hora cuando comenzó el procesamiento de la solicitud.
El estado de la respuesta por lotes. Siempre debe ser COMPLETADO si se procesa.
CANCELED, COMPLETE, PENDING, PROCESSING Enlaces a la documentación.
Show child attributes
La hora cuando ocurrió la solicitud.